
Figure - Bug #117546
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】出现1次，打开应用宝后，无法关闭应用宝，除控制中心可用正常操作，其他
操作都不响应
2023-04-18 11:34 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-18

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0092.C103(X103)

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-04-21

Test Type: ST Root cause: 问题原因：��可能与PackageInstaller的启动逻辑有关系。

Description

【测试步骤】

打开应用宝，点击小窗应用上的关闭按钮

点击

【预期结果】

可关闭应用宝

【测试结果】

无法关闭应用宝（点击小窗应用上的关闭按钮，多任务页面一键清除/上滑关闭都不行）除控制中心可用正常操作，其他操作都不响应

History

#1 - 2023-04-18 16:12 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【AF】【EVT3】【小窗模式】打开应用宝后，无法关闭应用宝，除控制中心可用正常操作，其他操作都不响应 to 【AF】【EVT3】

【小窗模式】出现1次，打开应用宝后，无法关闭应用宝，除控制中心可用正常操作，其他操作都不响应

- Test Type changed from Release Test to ST

#2 - 2023-04-19 11:19 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD FW王武军

#3 - 2023-04-19 20:04 - CD FW王武军

【】当前状态

4月19日调查进展：

不知道问题原因，还在分析小窗的流程

#4 - 2023-04-20 19:35 - CD FW王武军

【】当前状态

4月20调查进展：

1、问题的表现有以下几点：
1）应用宝的界面在小窗启动时，并未将界面完全显示，有部分顶部视图与DecorCaptionView

的caption视图重合，导致在caption栏的空白处点击，事件会穿透到应用宝本身的content视图上，

穿透的事件会触发应用宝显示广告页，这个时候caption的显示会存在异常；

2）在首次启动应用宝时，会在界面存在弹窗，视屏中弹窗不能点击关闭，并且caption的close也不能点击，

这个时候已经处于了异常状态，该状态可能是上面1）提到的事件穿透引起事件分发异常，进而导致后续所有事件不能正常响应。

2、下一步方向

1）是否应该让应用宝的正常内容全部显示，避免视图区域的重合，导致事件的穿透？

2）拦截caption视图区域的事件，避免穿透？

3）将上述两点处理后，再验证票中提到的问题是否发生

#5 - 2023-04-21 15:23 - CD FW王武军

【】当前状态

1、使用4月21的版本没有复现该问题，这笔提交https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194967针对

PackageInstaller的启动模式做了修改，之前该票的问题发生可能也与PackageInstaller的启动有关系。

2、至于点击穿透的可能暂时不做进一步调查。

【】下一步策略

1、转测试同事跟踪几个版本，看是否还存在问题，如果问题还存在再继续分析。

#6 - 2023-04-21 15:25 - CD FW王武军

- Assignee changed from CD FW王武军 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIX_LATER

- Fixed Version set to 2023-04-21

- Root cause set to 问题原因：

可能与PackageInstaller的启动逻辑有关系。

#7 - 2023-04-23 17:21 - 物联网测试组_CDTS  唐霞 

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304220234验证验证5次未复现

#8 - 2023-04-24 19:41 - 物联网测试组_CDTS  唐霞 

4/24验证10次未复现

#9 - 2023-04-25 15:45 - 物联网测试组_CDTS  唐霞 

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD TPM-王祥林

请研发添加加扩展日志跟踪后在给测试验证，本就是低概率出现问题，未加日志打印复现后也不好定位

#10 - 2023-04-25 20:53 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW王武军

武军
如果现有日志不能定位原因，请调查相关逻辑并加入debug日志，方便后面复现定位问题。

#11 - 2023-04-27 18:13 - CD FW王武军

【】当前状态

1、该问题在分析时，因为难复现，所以当初调查的方向分为：

1）事件点击穿透，事件穿透引起界面启动混乱，后来发现虽然事件穿透是一个问题，但并不是引起该票问题的根本原因，所以未继续做该方向的调查；

2）结合流程分析，下载安装游戏时，会启动系统的packageinstall这个进程进行安装，而packageinstall的启动又会与强制小窗的表现有冲突，

这个可能是引起问题的一个点，然而在4月20日有其他的票修改了packageinstall的逻辑代码如下

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194967

从修改来看，该提交是在调整packageinstall的启动方式验证，不跟随应用小窗启动，按照这个猜测使用4月21号的版本又进行了验证也未复现问题。

2、所以综合来看，packageinstall可能是引起问题的一个点，但是因为不能稳定复现，所以没办法把根本原因调查出来，不能复现问题就没有办法添加具

体的log；

3、如果需要进一步分析，从调查问题的角度建议从以下几个方面入手：

1）请测试使用4月20号之前的版本继续测试，找到一个复现率相对较高的手法，以便调查分析进行切入；

2）继续在4月21号之后的版本多大规模的反复测试（测试的环境和条件最好保持一致）；

如果4月20之前的版本很容易复现，而4月21号之后的版本不复现，那么是不是可以说该问题就是packageinstall的启动方式引起的一个异常点，基于此要找

到原因，可以继续

分析调查周边逻辑，看是否可以找到根本原因

#12 - 2023-04-27 18:14 - CD FW王武军

- Assignee changed from CD FW王武军 to CD TPM-王祥林

#13 - 2023-05-04 19:51 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to 物联网测试组_CDTS  唐霞 

- Resolution changed from FIX_LATER to FIXED

日志已添加,请继续观察几个版本

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196355

#14 - 2023-05-05 19:33 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103

#15 - 2023-05-09 18:28 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103

#16 - 2023-05-11 19:11 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证30次未复现
验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103

#17 - 2023-05-11 19:12 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

验证3个版本均无法复现，关闭问题单

Files

418.txt 3.95 MB 2023-04-18 物联网测试组_CDTS  唐霞 

除控制中心，其他页面操作不响应.mp4 7.39 MB 2023-04-18 物联网测试组_CDTS  唐霞 
